#ifndef MATHS_H
#define MATHS_H

#include <glib.h>

/* old fashioned linear interpolator */
inline static float lerp(float y0, float y1, float d)
{
     return y0*(1-d)+y1*d;
}

/* cubic interpolation routine:
   y0 = sample previous to current sample
   y1 = current sample
   y2 = sample after current sample
   y3 = sample after y2
   x  = fractional distance between y1 and y2 in unsigned integer form */
float cerp(float y0, float y1, float y2, float y3, guint32 d);

#endif /* MATHS_H */
